/*
 * Copyright 2004-2006 Robbie.JP
 */
package robbie.dao.x;

import java.sql.Connection;

import robbie.dao.DaoSysException;
import robbie.dao.DbConnectionUtil;

/**
 * JdbcOdbcResourceNXB<p>
 */
class JdbcOdbcResource implements XDbResource {

    private static final long serialVersionUID = -1111373230430913795L;
    
    /** ubWODBCf[^\[X */
    protected String sourceName = null;
    
    /**
     * ODBCf[^\[Xw肵ăCX^X쐬܂B<p>
     * @param sourceName
     */
    public JdbcOdbcResource(String sourceName) {
        this.sourceName = sourceName;
    }
        
    /**
     * RlNVԂB<p>
     * @return ConnectionCX^X
     */
    public Connection getConnection() {
        
        try {
            return DbConnectionUtil.getConnection("sun.jdbc.odbc.JdbcOdbcDriver", sourceName);
        } catch(Exception ex) {
            throw new DaoSysException("get DB Connection failure.", ex);
        }
    }
    
    /**
     * toString()̃I[oChB<p>
     * @return ̃CX^X̕\L
     */
    public String toString() {
        return "ODBC DATASOURCE NAME=" + sourceName;
    }
}
